; /etc/supervisor/conf.d/your_program.conf
[program:colorgame]
command=/home/ubuntu/game/colorgame -redis_host="114.132.124.145" -redis_port="6379" -redis_password="fox379@@zyxi" -sid=1 -num=1 -v_mod="dev" ; 完整命令参数
directory=/home/ubuntu/game ; 程序工作目录
user=ubuntu ; 运行用户
autostart=true ; 随 Supervisor 启动
autorestart=false ; 自动重启
startsecs=10 ; 启动等待时间
startretries=3 ; 启动重试次数

[program:lobby]
command=/home/ubuntu/game/lobby -redis_host="114.132.124.145" -redis_port="6379" -redis_password="fox379@@zyxi" -sid=1 -num=1 -v_mod="dev" ; 完整命令参数
directory=/home/ubuntu/game ; 程序工作目录
user=ubuntu ; 运行用户
autostart=true ; 随 Supervisor 启动
autorestart=false ; 自动重启
startsecs=10 ; 启动等待时间
startretries=3 ; 启动重试次数

[program:match]
command=/home/ubuntu/game/match -redis_host="114.132.124.145" -redis_port="6379" -redis_password="fox379@@zyxi" -sid=1 -num=1 -v_mod="dev" ; 完整命令参数
directory=/home/ubuntu/game ; 程序工作目录
user=ubuntu ; 运行用户
autostart=true ; 随 Supervisor 启动
autorestart=false ; 自动重启
startsecs=10 ; 启动等待时间
startretries=3 ; 启动重试次数

[program:gate]
command=/home/ubuntu/game/gate -redis_host="114.132.124.145" -redis_port="6379" -redis_password="fox379@@zyxi" -sid=1 -num=2 -v_mod="dev" ; 完整命令参数
directory=/home/ubuntu/game ; 程序工作目录
user=ubuntu ; 运行用户
autostart=true ; 随 Supervisor 启动
autorestart=false ; 自动重启
startsecs=10 ; 启动等待时间
startretries=3 ; 启动重试次数

[program:login]
command=/home/ubuntu/game/login -redis_host="114.132.124.145" -redis_port="6379" -redis_password="fox379@@zyxi" -sid=1 -num=1 -v_mod="dev" ; 完整命令参数
directory=/home/ubuntu/game ; 程序工作目录
user=ubuntu ; 运行用户
autostart=true ; 随 Supervisor 启动
autorestart=false ; 自动重启
startsecs=10 ; 启动等待时间
startretries=3 ; 启动重试次数

[program:chat]
command=/home/ubuntu/game/chat -redis_host="114.132.124.145" -redis_port="6379" -redis_password="fox379@@zyxi" -sid=1 -num=1 -v_mod="dev" ; 完整命令参数
directory=/home/ubuntu/game ; 程序工作目录
user=ubuntu ; 运行用户
autostart=true ; 随 Supervisor 启动
autorestart=false ; 自动重启
startsecs=10 ; 启动等待时间
startretries=3 ; 启动重试次数

[program:db]
command=/home/ubuntu/game/db -redis_host="114.132.124.145" -redis_port="6379" -redis_password="fox379@@zyxi" -sid=1 -num=10 -v_mod="dev" ; 完整命令参数
directory=/home/ubuntu/game ; 程序工作目录
user=ubuntu ; 运行用户
autostart=true ; 随 Supervisor 启动
autorestart=false ; 自动重启
startsecs=10 ; 启动等待时间
startretries=3 ; 启动重试次数

[program:client]
command=/home/ubuntu/game/client -redis_host="114.132.124.145" -redis_port="6379" -redis_password="fox379@@zyxi" -sid=1 -num=1000 -v_mod="dev" ; 完整命令参数
directory=/home/ubuntu/game ; 程序工作目录
user=ubuntu ; 运行用户
autostart=true ; 随 Supervisor 启动
autorestart=false ; 自动重启
startsecs=10 ; 启动等待时间
startretries=3 ; 启动重试次数
